#ifndef EETSENDER_H
#define EETSENDER_H

#include <QObject>

#include "eetcpp_global.h"
#include "eetrequest.h"
#include "eettemplate.h"

class EETCPPSHARED_EXPORT EetSender : public QObject
{
    Q_OBJECT
public:
    explicit EetSender(QObject *parent = 0);

    void sendRequest(EetRequest *request);
    void setupSigner(const QString &certPath, const QString &passwd);

private:
    EetSigner *m_signer;

signals:
    void certError();
    void sendError();
    void responseRecieved();

public slots:
};

#endif // EETSENDER_H
