#include <QCoreApplication>

#include <eetcpp.h>

int main(int argc, char *argv[])
{
    QCoreApplication a(argc, argv);

    EetRequest request;

    request.setCelkTrzba(1);
    request.setCerpZuct(2);
    request.setCestSluz(3);
    request.setIdPokl("id pokladny");
    request.setIdProvoz("id provoz");
    request.setDicPopl("CZ1234567");
    request.setCelkTrzba(100);

    EetSender sender;
    sender.setupSigner("/home/pepa/Dokumenty/dev/eet/01000003.p12", "eet");
    sender.sendRequest(&request);

    return a.exec();
}
